use uuid::Uuid;

#[derive(Debug)]
pub struct User {
    id: Uuid,
    login: String,
    hash: String,
    salt: String,
}

impl User {
    pub fn new(login: String, hash: String, salt: String) -> User {
        User {
            id: Uuid::new_v4(),
            login,
            hash,
            salt,
        }
    }

    pub fn id(&self) -> &Uuid {
        &self.id
    }

    pub fn login(&self) -> &str {
        &self.login
    }

    pub fn hash(&self) -> &str {
        &self.hash
    }

    pub fn salt(&self) -> &str {
        &self.salt
    }
}